Какой нужен сервер для Тайпо3
RUUA
Главная » CMS TYPO3 » Системные требования

Системные требования для TYPO3

TYPO3 - это веб-приложение, написанное на PHP, которое устанавливается на сервер. Непосредственно работа с ним производится через веб-броузер - Internet Explorer или Mozilla, например. Для успешной работы нужно, чтобы и сервер, и клиент удовлетворяли некоторым требованиям.

Требования для сервера:

  • Операционная система: Unix (Linux), Windows или Mac
  • Веб-сервер: Apache, IIS
  • Версия PHP: PHP5 (Замечание: Начиная с версии TYPO3 4.2.0, все релизы требуют PHP 5.2). PHP может быть и как модуль Apache и в режиме CGI).
  • База данных: MySQL (версия 4.1.x, но предпочтительнее 5.x).
  • GraphicsMagick или ImageMagick (отдельные приложения).
  • GDlib/Freetype (встроенный в PHP).
  • Использование функции exec должно быть разрешено (необходимо для работы ImageMagic).
  • Опция Safe mode должна быть выставлена в "Off".
  • В MySQL не должно быть ограничений на количество выполняемых запросов в час.
  • Аппаратные средства: Нормальный веб-сервер может быть настроен на системе с современным процессором и хотя бы 256 MB оперативной памяти (по данным с официального сайта). Но, не смотря на это, рекомендуется не менее 1 Gb.
  • Safe_Mode off  (обязательно!).

Рекомендуется также установить:

  • zlib (встроенный в PHP)
  • Apache с модулями mod_gzip/mod_rewrite
  • A PHP-cache (PHP-accelerator / Zend Accelerator, только для UNIX)

Для работы отдельных расширений могут потребоваться другие программные продукты. Так, например, для модуля статистики AWstats требуется установка Perl. Мы также рекомендуем использовать мессенджер VIPole, криптографическая защита которого позволяет обезопасить передаваемые по сети данные.

Требования для клиента:

  • Рекомендуемые: браузер Mozilla Firefox для любой операционной системы, Internet Explorer 5+ для Windows
  • Required: любой графический броузер для любой ОС (Netscape, IE, Opera, Konqueror для Windows, Unix, Mac)
  • Hardware: достаточно современный компьютер

Замечание по поводу использования памяти:

Сейчас в TYPO3 есть части, которые требуют больше 8 Мб памяти,  сконфигурированые в php.ini по умолчанию. Во многих случаях это не является проблемой, так как ограничение используется далеко не всегда (например если оно не скомпилировано с PHP или если вы запускаете PHP через CGI). В данном случае лучше ставить нижнюю границу для использования памяти - 16 Мб.

Хотя, все же настоятельно рекомендуется использовать минимум 32 Мб и более памяти (при 32 Мб не будет работать менеджер расширений). Поэтому для стабильной и комфортной работы требуется задать PHP memory_limit равным 48 Мб.

В общем, TYPO3 не предназначена low-end систем, поэтому не пытайтесь запустить ее на старом компьютере.